libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_xr_servlet_def Struct Reference

Servlet description structure. More...

`#include <xr-server.h>`

## Data Fields

char * | name
| Servlet name (/Name resource for client). More...
int | size
| Size of the private object. More...
servlet_init_t | init
| Servlet constructor. More...
servlet_fini_t | fini
| Servlet destructor. More...
servlet_method_t | pre_call
| Pre-call hook. More...
servlet_method_t | post_call
| Post-call hook. More...
servlet_download_t | download
| Download hook. More...
servlet_upload_t | upload
| Upload hook. More...
int | methods_count
| Count of the methods implemented by the server. More...
xr_servlet_method_def * | methods
| Methods descriptions. More...
servlet_method_t | fallback
| Fallback (undefined method) hook. More...
void * | padding1 [10]

## Detailed Description

Servlet description structure.

The documentation for this struct was generated from the following file:

- xr-server.h

Documentation for libxr, Mon Jan 6 2014 07:32:37.